Debian Bug report logs - #598986
ptlib: FTBFS on armel: hello → Segmentation fault

version graph

Package: src:ptlib; Maintainer for src:ptlib is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 3 Oct 2010 16:57:01 UTC

Severity: serious

Tags: experimental

Found in version ptlib/2.8.2-1

Fixed in version ptlib/2.10.1~dfsg-1

Done: Kilian Krause <kilian@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#598986; Package src:ptlib. (Sun, 03 Oct 2010 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Sun, 03 Oct 2010 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ptlib: FTBFS on armel: hello → Segmentation fault
Date: Sun, 03 Oct 2010 18:53:26 +0200
Source: ptlib
Version: 2.8.2-1
Severity: serious
Justification: FTBFS
User: debian-arm@lists.debian.org
Usertags: eabi

Hi,

your package no longer builds on armel:
| opt hello_world sample correctly compiled non-static
| ln -s lib* lib ; LD_LIBRARY_PATH=/build/buildd-ptlib_2.8.2-1-armel-cgswZe/ptlib-2.8.2/lib samples/hello_world/obj*/hello
| Segmentation fault
| make[1]: *** [override_dh_auto_test] Error 139

Full build logs:
  https://buildd.debian.org/status/package.php?p=ptlib&suite=experimental

Mraw,
KiBi.




Added tag(s) experimental. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 15:12:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 07:15:02 GMT) Full text and rfc822 format available.

Reply sent to Kilian Krause <kilian@debian.org>:
You have taken responsibility. (Wed, 13 Jul 2011 00:21:10 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Wed, 13 Jul 2011 00:21:10 GMT) Full text and rfc822 format available.

Message #14 received at 598986-close@bugs.debian.org (full text, mbox):

From: Kilian Krause <kilian@debian.org>
To: 598986-close@bugs.debian.org
Subject: Bug#598986: fixed in ptlib 2.10.1~dfsg-1
Date: Wed, 13 Jul 2011 00:18:00 +0000
Source: ptlib
Source-Version: 2.10.1~dfsg-1

We believe that the bug you reported is fixed in the latest version of
ptlib, which is due to be installed in the Debian FTP archive:

libpt-dbg_2.10.1~dfsg-1_amd64.deb
  to main/p/ptlib/libpt-dbg_2.10.1~dfsg-1_amd64.deb
libpt-dev_2.10.1~dfsg-1_amd64.deb
  to main/p/ptlib/libpt-dev_2.10.1~dfsg-1_amd64.deb
libpt-doc_2.10.1~dfsg-1_all.deb
  to main/p/ptlib/libpt-doc_2.10.1~dfsg-1_all.deb
libpt2.10.1_2.10.1~dfsg-1_amd64.deb
  to main/p/ptlib/libpt2.10.1_2.10.1~dfsg-1_amd64.deb
ptlib_2.10.1~dfsg-1.debian.tar.gz
  to main/p/ptlib/ptlib_2.10.1~dfsg-1.debian.tar.gz
ptlib_2.10.1~dfsg-1.dsc
  to main/p/ptlib/ptlib_2.10.1~dfsg-1.dsc
ptlib_2.10.1~dfsg.orig.tar.gz
  to main/p/ptlib/ptlib_2.10.1~dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598986@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kilian Krause <kilian@debian.org> (supplier of updated ptlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jul 2011 08:41:14 +0200
Source: ptlib
Binary: libpt2.10.1 libpt-dev libpt-dbg libpt-doc
Architecture: source amd64 all
Version: 2.10.1~dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Kilian Krause <kilian@debian.org>
Description: 
 libpt-dbg  - Portable Tools Library development debug files
 libpt-dev  - Portable Tools Library development files
 libpt-doc  - Portable Tools Library documentation & sample files
 libpt2.10.1 - Portable Tools Library
Closes: 598986 622012
Changes: 
 ptlib (2.10.1~dfsg-1) experimental; urgency=low
 .
   * New upstream release: 2.10.1 (Luyten)
     Closes: #622012, #598986
   * Re-Add myself to Uploaders
   * Bump debhelper compat to 8
   * Fix debian/watch to allow double digit minor versions
   * Drop Changelog-ptlib from docs as upstream doesn't ship it
   * Bump Standards-Version to 3.9.2 - no changes required
   * Update VCS browser field to anonscm.d.o
   * Repack as DFSG to remove upstream's windows binaries
   * Fix debian/watch to add ~dfsg version mangle
   * Remove unused ${shlibs:Depends} from libpt-dev, libpt-dbg and libpt-doc
   * Re-Add more complete clean target and debian/clean for dh_clean to wipe
     out leftover files
   * Replace jquery.js with Debian's version to make lintian happy
   * Add symbols file for libpt2.10.1 (but don't fail builds while we're in
     experimental)
   * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
     better suited for C++ libs - thanks to Modestas Vainius!
     (this makes c++ symbol files somewhat less painful. But still different
     g++ versions emit a bit different symbol sets so ftbfs'es happen)
   * Register API documentation with doc-base
   * Add dlclose fixes from upstream to unloading plugins without ld.so issuing
     an error
Checksums-Sha1: 
 1c3d4b3865652b7ea41bd980d9dedb59e5aa3307 1708 ptlib_2.10.1~dfsg-1.dsc
 073d911df3933e8689f03a61bcd0f7a6d9c1e876 6037359 ptlib_2.10.1~dfsg.orig.tar.gz
 fbdf07b19c5c1d613c58d9bbed7d35dcc1366463 117191 ptlib_2.10.1~dfsg-1.debian.tar.gz
 9891ebd17372cd2137688657ff9397d45cdfa5b1 1605856 libpt2.10.1_2.10.1~dfsg-1_amd64.deb
 e375944fbdc4c48c2825c0bec03546ba98aed6a1 2689088 libpt-dev_2.10.1~dfsg-1_amd64.deb
 5b678396565cd772704665cab45fe02d463a48fc 6591418 libpt-dbg_2.10.1~dfsg-1_amd64.deb
 2fe3ca002ea085c75b0fb30a87c529eb2f38534c 7382882 libpt-doc_2.10.1~dfsg-1_all.deb
Checksums-Sha256: 
 139e3f8e992b57047c44c490f54c13072bdd6d26e29619b30a6c8416089c64b6 1708 ptlib_2.10.1~dfsg-1.dsc
 ddd9fbe1fade53b3f1e7c7b10bb4847489a23a5023c27b2ed3f3285b076d482d 6037359 ptlib_2.10.1~dfsg.orig.tar.gz
 5952d11f6b2c5fb40eb88392910b9f2657d52e0c495048780d56c026f58b78aa 117191 ptlib_2.10.1~dfsg-1.debian.tar.gz
 c38fc374703778746c8564e685e4ab7342761d6fa3c83f7d4fc18f83b4fea517 1605856 libpt2.10.1_2.10.1~dfsg-1_amd64.deb
 5c34a5c0bdf80b4749866a878ce83780a8a33635bedd5ff85460d1ddcf6ffeb8 2689088 libpt-dev_2.10.1~dfsg-1_amd64.deb
 5ad8e18e998ee1893d21cb1bfb4096f4f66e05103293886f3a5f073ff99c02c6 6591418 libpt-dbg_2.10.1~dfsg-1_amd64.deb
 e7043fd37624af513b19359e10f28b3c68e8112784ecfe5ffbc2b15e762ad552 7382882 libpt-doc_2.10.1~dfsg-1_all.deb
Files: 
 1b9d70fdad474438b6eb04314894688f 1708 libs optional ptlib_2.10.1~dfsg-1.dsc
 4e7f10c645eede57cee4af908eeeff32 6037359 libs optional ptlib_2.10.1~dfsg.orig.tar.gz
 26f252b581067b0bc86fc582c1903147 117191 libs optional ptlib_2.10.1~dfsg-1.debian.tar.gz
 a8040b8114afb6c83bb4f66cbfef822e 1605856 libs optional libpt2.10.1_2.10.1~dfsg-1_amd64.deb
 b0ee71b0b4b31caccf671e34b4b6c05c 2689088 libdevel optional libpt-dev_2.10.1~dfsg-1_amd64.deb
 48b67a79476b998a9b4ede9cdd898449 6591418 debug extra libpt-dbg_2.10.1~dfsg-1_amd64.deb
 e926bf39c79ac3dfa013fc94c1c48f72 7382882 doc extra libpt-doc_2.10.1~dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOG+6rvdkzt4X+wX8RAtbnAJ0d+RO1ho5QUZs4A+j2YyNKsA+YywCffiZo
Sn3WbdnkNYlYNusBvuJQm9g=
=Fal3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Aug 2011 07:39:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:37:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.